Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235532 - passwordexpirationtime resets to 19700101000000Z when using pam_password exop
Summary: passwordexpirationtime resets to 19700101000000Z when using pam_password exop
Keywords:
Status: CLOSED DUPLICATE of bug 248924
Alias: None
Product: 389
Classification: Retired
Component: Security - Password Policy
Version: 1.0.4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: FDS1.2.0
TreeView+ depends on / blocked
 
Reported: 2007-04-06 19:24 UTC by Scott Kile
Modified: 2015-01-04 23:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-09 17:19:34 UTC


Attachments (Terms of Use)

Description Scott Kile 2007-04-06 19:24:52 UTC
Description of problem:
Server: fedora-ds-1.0.4-1.FC6.i386
OS RHEL5 Client Workstation
Sun Java 1.5.0_11-b03

When the /etc/ldap.conf pam_password line is set to exop, server configured
password policies (composition and history) work, but the passwordexpirationtime
resets to 19700101000000Z when changing the password with /usr/bin/passwd.

When the pam_password line is set to md5 the passwordexpirationtime is set
properly but server password poilicies are ignored.

How reproducible:
Change /etc/ldap.conf to have "pam_password exop" line.

Setup Password Expiration under Directory Server -> Configuration -> Data ->
Passwords.  Set password to expire after 180 days.

Use /usr/bin/passwd to change a LDAP account password.

Look at the passwordexpirationtime on the changed account.

Thank You

Comment 2 Rich Megginson 2009-04-09 17:00:43 UTC
Nathan, do you recall if this was fixed in 1.2.0?

Comment 3 Nathan Kinder 2009-04-09 17:08:06 UTC
I believe that this was fixed as part of bug #248924.  The fix is in 1.2.0.

Comment 4 Rich Megginson 2009-04-09 17:19:34 UTC

*** This bug has been marked as a duplicate of bug 248924 ***


Note You need to log in before you can comment on or make changes to this bug.